# Menu Fast Edit

### CONTENTS OF THIS FILE

* Introduction
* How it Works
* Install and Configure
* How to Use
* Maintainers

## Introduction
The Menu Fast Edit module exposes the "Title" and "URL" fields for
menu links directly in the menu manage page. It also provides an
"Add Child" link for each item; this opens the "Add menu link" page
where the "Parent link" field is already pre-selected to be the item
from the manage page.

Note: The Fast Edit form does **not** get applied if the menu is locked,
for example the "admin" menu.

## How it Works
This module alters the core Menu "edit" form to add and process
the new fields. It also alters the Menu Link Content form to accept
a default value for "Parent Link" from a query parameter.
A class 'menu-fast-edit' is added to the overridden Menu edit form,
for use client-side in CSS and JavaScript.

## Install and Configure
Install normally. There are no configuration settings or database changes.

## How to Use
The module automatically affects all Menu manage forms.
In Drupal Admin UI, navigate to Structure > Menus then click any desired
"edit menu".

Once any "Title" or "URL" fields are changed, click the "Save" button.

## Maintainers

Current maintainers:
- Steven Wright (stevenc)
  - https://www.drupal.org/u/stevenc
- Rick Hawkins (rlhawk)
  - https://www.drupal.org/u/rlhawk

This project has been sponsored by:
- **Slalom**
  - Founded in 2001 and headquartered in Seattle, Slalom has organically
  grown to over 13,000 employees. It has been named one of Fortune's
  100 Best Companies to Work For six years running and has been regularly
  recognized by its employees as a best place to work.
  Learn more at https://slalom.com.
